curl --request POST \
--url https://developer.world.org/api/v2/minikit/send-notification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"app_id": "app_id",
"wallet_addresses": [
"0x1234567890123456789012345678901234567890",
"0xabcdefabcdefabcdefabcdefabcdefabcdefabcd"
],
"title": "title",
"message": "Hello ${username}, your transaction is complete!",
"mini_app_path": "worldapp://mini-app?app_id=app_id"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
app_id: 'app_id',
wallet_addresses: [
'0x1234567890123456789012345678901234567890',
'0xabcdefabcdefabcdefabcdefabcdefabcdefabcd'
],
title: 'title',
message: 'Hello ${username}, your transaction is complete!',
mini_app_path: 'worldapp://mini-app?app_id=app_id'
})
};
fetch('https://developer.world.org/api/v2/minikit/send-notification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Send Notification
Send notifications to users of your mini app.
curl --request POST \
--url https://developer.world.org/api/v2/minikit/send-notification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"app_id": "app_id",
"wallet_addresses": [
"0x1234567890123456789012345678901234567890",
"0xabcdefabcdefabcdefabcdefabcdefabcdefabcd"
],
"title": "title",
"message": "Hello ${username}, your transaction is complete!",
"mini_app_path": "worldapp://mini-app?app_id=app_id"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
app_id: 'app_id',
wallet_addresses: [
'0x1234567890123456789012345678901234567890',
'0xabcdefabcdefabcdefabcdefabcdefabcdefabcd'
],
title: 'title',
message: 'Hello ${username}, your transaction is complete!',
mini_app_path: 'worldapp://mini-app?app_id=app_id'
})
};
fetch('https://developer.world.org/api/v2/minikit/send-notification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
- Option 1
- Option 2
Supports legacy payload (title + message) and localized payload (localisations). If localisations is present, the localized payload is used and title/message are ignored.
Array of wallet addresses to notify. Users must have opted in. Max 1000 per call.
30200Deeplink to open when the user taps the notification: a WorldApp/World ID mini app deeplink (worldapp://mini-app?app_id=... or worldid://mini-app?app_id=..., where app_id must match the request's app_id), a Deep Face Universal Link (https://world.org/verify?t=deepface), or a Deep Face deeplink (worldapp://verify?t=deepface, worldid://verify?t=deepface, worldidstg://verify?t=deepface).
Was this page helpful?